JNLPClassLoader.CodeBaseClassLoader (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.runtime.JNLPClassLoader.CodeBaseClassLoader class
Date: 2018-03-18

net.sourceforge.jnlp.runtime

## Class JNLPClassLoader.CodeBaseClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - net.sourceforge.jnlp.runtime.JNLPClassLoader.CodeBaseClassLoader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    JNLPClassLoader

      public static class JNLPClassLoader.CodeBaseClassLoader
      extends java.net.URLClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeBaseClassLoader(java.net.URL[] urls, JNLPClassLoader cl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addURL(java.net.URL url)`
    `java.lang.Class<?>` | `findClass(java.lang.String name)`
    `java.lang.Class<?>` | `findLoadedClassFromParent(java.lang.String name)` Returns the output of super.findLoadedClass().
    `java.net.URL` | `findResource(java.lang.String name)`
    `java.util.Enumeration<java.net.URL>` | `findResources(java.lang.String name)`
    `JNLPClassLoader` | `getParentJNLPClassLoader()` Returns JNLPClassLoader that encompasses this loader

    - ### Methods inherited from class java.net.URLClassLoader

      `close, definePackage, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeBaseClassLoader

          public CodeBaseClassLoader(java.net.URL[] urls,
                                     JNLPClassLoader cl)

  - ### Method Detail

    - #### addURL

          public void addURL(java.net.URL url)

      Overrides:
        `addURL` in class `java.net.URLClassLoader`

    - #### findClass

          public java.lang.Class<?> findClass(java.lang.String name)
                                       throws java.lang.ClassNotFoundException

      Overrides:
        `findClass` in class `java.net.URLClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### findLoadedClassFromParent

          public java.lang.Class<?> findLoadedClassFromParent(java.lang.String name)

      Returns the output of super.findLoadedClass(). The method is renamed because ClassLoader.findLoadedClass() is final
      Parameters:
        `name` - The name of the class to find
      Returns:
        Output of ClassLoader.findLoadedClass() which is the class if found, null otherwise
      See Also:
        `ClassLoader.findLoadedClass(String)`

    - #### getParentJNLPClassLoader

          public JNLPClassLoader getParentJNLPClassLoader()

      Returns JNLPClassLoader that encompasses this loader
      Returns:
        parent JNLPClassLoader

    - #### findResources

          public java.util.Enumeration<java.net.URL> findResources(java.lang.String name)
                                                            throws java.io.IOException

      Overrides:
        `findResources` in class `java.net.URLClassLoader`
      Throws:
        `java.io.IOException`

    - #### findResource

          public java.net.URL findResource(java.lang.String name)

      Overrides:
        `findResource` in class `java.net.URLClassLoader`

Submit a bug or feature